Skip to main content
POST
/
chatbot
/
{id}
/
upload
Upload files to a chatbot
curl --request POST \
  --url https://api.vectorshift.ai/v1/chatbot/{id}/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "files": [
    {
      "type": "<string>",
      "raw_bytes": "aSDinaTvuI8gbWludGxpZnk="
    }
  ],
  "conversation_id": "<string>"
}
'
import requests

url = "https://api.vectorshift.ai/v1/chatbot/{id}/upload"

payload = {
"files": [
{
"type": "<string>",
"raw_bytes": "aSDinaTvuI8gbWludGxpZnk="
}
],
"conversation_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
files: [{type: '<string>', raw_bytes: 'aSDinaTvuI8gbWludGxpZnk='}],
conversation_id: '<string>'
})
};

fetch('https://api.vectorshift.ai/v1/chatbot/{id}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "errors": [
    "<string>"
  ],
  "conversation_id": "<string>",
  "knowledge_base_id": "<string>",
  "uploaded_files": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication using API key

Path Parameters

id
string
required

Body

files
object[]
required
conversation_id
string

Response

200 - application/json

Files uploaded successfully

status
enum<string>
required
Available options:
success,
failed
errors
string[]
conversation_id
string
knowledge_base_id
string
uploaded_files
string[]